#ifndef  __TAS2563_BAREMETAL_H
#define __TAS2563_BAREMETAL_H
typedef unsigned short uint16;
typedef unsigned char uint8;


uint16 PltI2cTransfer( uint8 address, uint8 * tx, uint16 tx_len, uint8 * rx, uint16 rx_len );
void AudioPaInit(uint16 * firmware_data, uint16 length);
void AudioPaLoadConfig(uint16 * config_data, uint16 length);
void AudioPaLoadCalibrationData(uint16 * cali_data, uint16 length);
void AudioPaSpeakerOn(void);
void AudioPaSpeakerOff(void);   // enter power saving mode, but keep firmware
typedef void ProcessCaliabrationData(uint16 * data, uint16 length);
typedef void (*FUNC)(uint16 *, uint16); //call back function to inform Host IC, for example, calibration done ? etc. or maybe you use interrupt.
void AudioPaStartCalibration(FUNC * SaveCalibrationDataCB);

#endif
